--- !ditz.rubyforge.org,2008-03-06/issue 
title: flags need a separate backup outside of the ferret index
desc: |
  Ferret still occasionally barfs and corrupts its own index. Currently all
  user state is stored in the index and only in the index, so that means
  you lose big-time if that happens. You can sup-dump your labels, but really,
  how often are you going to do that.
  Sup should maintain a separate backup of all labels in some fast on-disk
  hashtable (message ids to label sets). Bdb comes to mind.

type: :feature
component: sup
release: "0.6"
reporter: William Morgan <wmorgan-sup@masanjin.net>
status: :unstarted
disposition: 
creation_time: 2008-03-07 04:22:50.236621 Z
references: []

id: d994a360c9cb2a6e12a734962a39ffbc6486a725
log_events: 
- - 2008-03-07 04:22:50.236657 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - created
  - ""
- - 2008-04-20 21:44:51.655741 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - assigned to release 0.6 from 0.5
  - ""
